用語集サイトマップ
topics

 マイクロソフト社のセキュリティ修正プログラムについて(MS12-008,009,010,011,012,013,014,015,016)2012年02月15日

平成24年2月15日
警察庁

マイクロソフト社のセキュリティ修正プログラムについて(MS12-008,009,010,011,012,013,014,015,016)

 マイクロソフト社の製品において、意図しないプログラムを実行されるなどの脆弱性が発見されました。
 この脆弱性は、マイクロソフト社により定義された4段階の深刻度評価のうち、最上位の「緊急(Critical)」が含まれていますので、該当するプログラムを使用している場合は、今後の被害防止のために以下の対策を行うことをお勧めします。

1 概要

(1) Windows カーネルモード ドライバーに脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-008)
(2) Ancillary Function ドライバーに脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、特権の昇格が起こる可能性があります。(MS12-009)
(3) Internet Explorer に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-010)
(4) Microsoft SharePoint に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、特権の昇格が起こる可能性があります。(MS12-011)
(5) カラー コントロール パネルに脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-012)
(6) C ランタイム ライブラリに脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-013)
(7) Indeo コーデックに脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-014)
(8) Microsoft Visio Viewer 2010 に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-015)
(9) .NET Framework および Microsoft Silverlight に脆弱性があります。攻撃者によりこの脆弱性が悪用された場合、リモートでコードが実行される可能性があります。(MS12-016)

2 脆弱性を有するソフトウェア

 マイクロソフト社の情報によると、脆弱性の問題があるバージョンは以下のとおりです。

上記(1)の脆弱性

  • Windows XP Service Pack 3
  • Windows XP Professional x64 Edition Service Pack 2
  • Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 with SP2 for Itanium-based Systems
  • Windows Vista Service Pack 2
  • Windows Vista x64 Edition Service Pack 2
  • Windows Server 2008 for 32-bit Systems Service Pack 2
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 for x64-based Systems Service Pack 2
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2
  • Windows 7 for 32-bit Systems および Windows 7 for 32-bit Systems Service Pack 1
  • Windows 7 for x64-based Systems および Windows 7 for x64-based Systems Service Pack 1
  • Windows Server 2008 R2 for x64-based Systems および Windows Server 2008 R2 for x64-based Systems Service Pack 1
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 R2 for Itanium-based Systems および Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

上記(2)の脆弱性

  • Windows XP Professional x64 Edition Service Pack 2
  • Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 with SP2 for Itanium-based Systems
  • Windows Vista x64 Edition Service Pack 2
  • Windows Server 2008 for x64-based Systems Service Pack 2
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2
  • Windows 7 for x64-based Systems および Windows 7 for x64-based Systems Service Pack 1
  • Windows Server 2008 R2 for x64-based Systems および Windows Server 2008 R2 for x64-based Systems Service Pack 1
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 R2 for Itanium-based Systems および Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

上記(3)の脆弱性

  • Windows XP Service Pack 3 上の Internet Explorer 6
  • Windows XP Professional x64 Edition Service Pack 2 上の Internet Explorer 6
  • Windows Server 2003 Service Pack 2 上の Internet Explorer 6
  • Windows Server 2003 x64 Edition Service Pack 2 上の Internet Explorer 6
  • Windows Server 2003 with SP2 for Itanium-based Systems 上の Internet Explorer 6
  • Windows XP Service Pack 3 上の Internet Explorer 7
  • Windows XP Professional x64 Edition Service Pack 2 上の Internet Explorer 7
  • Windows Server 2003 Service Pack 2 上の Internet Explorer 7
  • Windows Server 2003 x64 Edition Service Pack 2 上の Internet Explorer 7
  • Windows Server 2003 with SP2 for Itanium-based Systems 上の Internet Explorer 7
  • Windows Vista Service Pack 2 上の Internet Explorer 7
  • Windows Vista x64 Edition Service Pack 2 上の Internet Explorer 7
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Internet Explorer 7
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Internet Explorer 7
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2 上の Internet Explorer 7
  • Windows XP Service Pack 3 上の Internet Explorer 8
  • Windows XP Professional x64 Edition Service Pack 2 上の Internet Explorer 8
  • Windows Server 2003 Service Pack 2 上の Internet Explorer 8
  • Windows Server 2003 x64 Edition Service Pack 2 上の Internet Explorer 8
  • Windows Vista Service Pack 2 上の Internet Explorer 8
  • Windows Vista x64 Edition Service Pack 2 上の Internet Explorer 8
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Internet Explorer 8
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Internet Explorer 8
    (Server Core インストールは影響を受けません。)
  • Windows 7 for 32-bit Systems および Windows 7 for 32-bit Systems Service Pack 1 上の Internet Explorer 8
  • Windows 7 for x64-based Systems および Windows 7 for x64-based Systems Service Pack 1 上の Internet Explorer 8
  • Windows Server 2008 R2 for x64-based Systems および Windows Server 2008 R2 for x64-based Systems Service Pack 1 上の Internet Explorer 8
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 R2 for Itanium-based Systems および Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 上の Internet Explorer 8
  • Windows Vista Service Pack 2 上の Internet Explorer 9
  • Windows Vista x64 Edition Service Pack 2 上の Internet Explorer 9
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Internet Explorer 9
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Internet Explorer 9
    (Server Core インストールは影響を受けません。)
  • Windows 7 for 32-bit Systems および Windows 7 for 32-bit Systems Service Pack 1 上の Internet Explorer 9
  • Windows 7 for x64-based Systems および Windows 7 for x64-based Systems Service Pack 1 上の Internet Explorer 9
  • Windows Server 2008 R2 for x64-based Systems および Windows Server 2008 R2 for x64-based Systems Service Pack 1 上の Internet Explorer 9
    (Server Core インストールは影響を受けません。)

上記(4)の脆弱性

  • Microsoft SharePoint Server 2010 および Microsoft SharePoint Server 2010 Service Pack 1
  • Microsoft SharePoint Foundation 2010 および Microsoft SharePoint Foundation 2010 Service Pack 1

上記(5)の脆弱性

  • Windows Server 2008 for 32-bit Systems Service Pack 2
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 for x64-based Systems Service Pack 2
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2
  • Windows Server 2008 R2 for x64-based Systems および Windows Server 2008 R2 for x64-based Systems Service Pack 1
    (Server Core インストールは影響を受けません。)
  • Windows Server 2008 R2 for Itanium-based Systems および Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

上記(6)の脆弱性

  • Windows Vista Service Pack 2
  • Windows Vista x64 Edition Service Pack 2
  • Windows Server 2008 for 32-bit Systems Service Pack 2
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 for x64-based Systems Service Pack 2
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 for Itanium-based Systems Service Pack 2
  • Windows 7 for 32-bit Systems および Windows 7 for 32-bit Systems Service Pack 1
  • Windows 7 for x64-based Systems および Windows 7 for x64-based Systems Service Pack 1
  • Windows Server 2008 R2 for x64-based Systems および Windows Server 2008 R2 for x64-based Systems Service Pack 1
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 R2 for Itanium-based Systems および Windows Server 2008 R2 for Itanium-based Systems Service Pack 1

上記(7)の脆弱性

  • Windows XP Service Pack 3

上記(8)の脆弱性

  • Microsoft Visio Viewer 2010 および Microsoft Visio Viewer 2010 Service Pack 1 (32 ビット版)
  • Microsoft Visio Viewer 2010 および Microsoft Visio Viewer 2010 Service Pack 1 (64 ビット版)

上記(9)の脆弱性

  • Windows XP Service Pack 3 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows XP Service Pack 3 上の Microsoft .NET Framework 4
  • Windows XP Professional x64 Edition Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows XP Professional x64 Edition Service Pack 2 上の Microsoft .NET Framework 4
  • Windows Server 2003 Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Server 2003 Service Pack 2 上の Microsoft .NET Framework 4
  • Windows Server 2003 x64 Edition Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Server 2003 x64 Edition Service Pack 2 上の Microsoft .NET Framework 4
  • Windows Server 2003 with SP2 for Itanium-based Systems 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Server 2003 with SP2 for Itanium-based Systems 上の Microsoft .NET Framework 4
  • Windows Vista Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Vista Service Pack 2 上の Microsoft .NET Framework 4
  • Windows Vista x64 Edition Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Vista x64 Edition Service Pack 2 上の Microsoft .NET Framework 4
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Server 2008 for 32-bit Systems Service Pack 2 上の Microsoft .NET Framework 4
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Server 2008 for x64-based Systems Service Pack 2 上の Microsoft .NET Framework 4
  • Windows Server 2008 for Itanium-based Systems Service Pack 2 上の Microsoft .NET Framework 2.0 Service Pack 2
  • Windows Server 2008 for Itanium-based Systems Service Pack 2 上の Microsoft .NET Framework 4
  • Windows 7 for 32-bit Systems 上の Microsoft .NET Framework 3.5.1
  • Windows 7 for 32-bit Systems 上の Microsoft .NET Framework 4
  • Windows 7 for 32-bit Systems Service Pack 1 上の Microsoft .NET Framework 3.5.1
  • Windows 7 for 32-bit Systems Service Pack 1 上の Microsoft .NET Framework 4
  • Windows 7 for x64-based Systems 上の Microsoft .NET Framework 3.5.1
  • Windows 7 for x64-based Systems 上の Microsoft .NET Framework 4
  • Windows 7 for x64-based Systems Service Pack 1 上の Microsoft .NET Framework 3.5.1
  • Windows 7 for x64-based Systems Service Pack 1 上の Microsoft .NET Framework 4
  • Windows Server 2008 R2 for x64-based Systems 上の Microsoft .NET Framework 3.5.1
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 R2 for x64-based Systems 上の Microsoft .NET Framework 4
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1 上の Microsoft .NET Framework 3.5.1
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 R2 for x64-based Systems Service Pack 1 上の Microsoft .NET Framework 4
    (Server Core インストールは影響を受けます。)
  • Windows Server 2008 R2 for Itanium-based Systems 上の Microsoft .NET Framework 3.5.1
  • Windows Server 2008 R2 for Itanium-based Systems 上の Microsoft .NET Framework 4
  • Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 上の Microsoft .NET Framework 3.5.1
  • Windows Server 2008 R2 for Itanium-based Systems Service Pack 1 上の Microsoft .NET Framework 4
  • Mac にインストールされている Microsoft Silverlight 4
  • すべてのサポートされているリリースの Microsoft Windows クライアントにインストールされている Microsoft Silverlight 4
  • すべてのサポートされているリリースの Microsoft Windows サーバーにインストールされている Microsoft Silverlight 4

3 対策

 マイクロソフト社のサイト(4 関連サイト参照)から適切なパッチをダウンロードし、適用してください。
 パッチの適用作業は、利用するアプリケーションへの影響を考慮した上で行ってください。

4 関連サイト